﻿@using System.Web.UI.WebControls

<table style="width:100%">
      <tr>
        <td>
           @Html.DevExpress().Label(
              edtSettings =>
                {

                    edtSettings.EncodeHtml = false;
                    edtSettings.Text = "<b>Do you want to Reject this PO number ?<b>";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Name = "lblcommentr";
                    settings.ControlStyle.CssClass = "Label";
                    settings.Text = "Comment";
                }).GetHtml()
        </td>
    </tr>
</table>

<div style="height: 12px;">
</div> 

<table style="width:100%">
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.ControlStyle.CssClass = "Label";
                    settings.Text = "Reject Type";
                }).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
      

                @Html.DevExpress().RadioButtonList(
                settings =>
                {
                    settings.Name = "OPHRejectType";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = Unit.Percentage(100);
                    settings.Properties.Style.Border.BorderStyle = Border.NullBorder.BorderStyle;
                    settings.Properties.RepeatDirection = RepeatDirection.Vertical;
                    settings.Properties.Items.Add("Reject To Admin", "0");
                    settings.Properties.Items.Add("Reject To Previous Approver", "1");
                    settings.SelectedIndex = Convert.ToInt16(ViewData["defaultReject"]);
                }
                ).GetHtml()    
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.ControlStyle.CssClass = "Label";
                    settings.Text = "Comment";
                }).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Memo(
                settings =>
                {
                    settings.Name = "CommentTextReject";
                    settings.Width = Unit.Percentage(100);
                    settings.Height = Unit.Pixel(50);     
                }).GetHtml()
        </td>
    </tr>
</table>
<div style="height: 8px;">
</div> 
<table align="center">
    <tr align="center">
        <td align="center">
            @Html.DevExpress().Button(
                 setting =>
                 {
                     setting.Name = "OkReject";
                     setting.ControlStyle.CssClass = "button";
                     setting.Text = "Ok";
                     setting.Width = 80;
                     setting.UseSubmitBehavior = true;
                     setting.ClientSideEvents.Click = "FirstStepReject";
                 }).GetHtml()
        </td>
        <td align="center">
            @Html.DevExpress().Button(
                 setting =>
                 {
                     setting.Name = "CancelReject";
                     setting.Text = "Cancel"; 
                     setting.Width = 80;
                     setting.UseSubmitBehavior = true;
                     setting.ClientSideEvents.Click = "function(s, e){popupReject.Hide();}";
                 }).GetHtml()
        </td>
    </tr>
</table>

